Page MenuHomePhabricator

https://www.mediawiki.org/wiki/Special:RecentChanges returns Exception encountered, of type "BadMethodCallException"
Closed, ResolvedPublic

Description

if "Group changes by page in recent changes and watchlist" is enabled in preferences, https://www.mediawiki.org/wiki/Special:RecentChanges returns Exception encountered, of type "BadMethodCallException"

Event Timeline

Shanmugamp7 raised the priority of this task from to High.
Shanmugamp7 updated the task description. (Show Details)
Shanmugamp7 added a subscriber: Shanmugamp7.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 9:14 AM
Shanmugamp7 updated the task description. (Show Details)Sep 16 2015, 9:22 AM

Change 238704 had a related patch set uploaded (by Catrope):
Revert "When aborting EnhancedRC block line, block should reflect that"

https://gerrit.wikimedia.org/r/238704

Change 238704 merged by jenkins-bot:
Revert "When aborting EnhancedRC block line, block should reflect that"

https://gerrit.wikimedia.org/r/238704

Change 238709 had a related patch set uploaded (by Catrope):
Revert "When aborting EnhancedRC block line, block should reflect that"

https://gerrit.wikimedia.org/r/238709

Change 238709 merged by jenkins-bot:
Revert "When aborting EnhancedRC block line, block should reflect that"

https://gerrit.wikimedia.org/r/238709

Catrope closed this task as Resolved.Sep 16 2015, 10:26 AM
Catrope claimed this task.
Catrope added a subscriber: Catrope.

Fix is deployed now

Shanmugamp7 reopened this task as Open.Sep 23 2015, 9:41 AM

This seems to be happening again.

Strange, I am even getting this error on m.mediawiki

Strange, I am even getting this error on m.mediawiki

Strange, I am even getting this error on m.mediawiki

Try with number of edits to show by default as 500 and days as 30, 100 edits is working fine for me too

The revert was reverted and a fix was attempted in https://gerrit.wikimedia.org/r/#/c/238713/ and now merged but the exception is still thrown. https://www.mediawiki.org/w/index.php?title=Special:RecentChanges&limit=500

Change 240336 had a related patch set uploaded (by Matthias Mullie):
Don't attempt to render block if none of the lines can be shown

https://gerrit.wikimedia.org/r/240336

siebrand closed this task as Resolved.Sep 24 2015, 3:22 PM
siebrand added a subscriber: siebrand.

Patch merged.

Change 240336 merged by jenkins-bot:
Don't attempt to render block if none of the lines can be shown

https://gerrit.wikimedia.org/r/240336

Shanmugamp7 reopened this task as Open.Sep 25 2015, 6:26 AM

Nope, this patch doesn't solve the problem, still I am getting the error

Aklapper added a comment.EditedSep 25 2015, 7:58 AM

Nope, this patch doesn't solve the problem, still I am getting the error

@Shanmugamp7: Where? Did you locally test this patch on your own wiki? (asking as "Patch merged in the MediaWiki code repository" is not "Code deployed on servers of a website, like a Wikimedia one"). Or did this patch have a SWAT deployment on Wikimedia servers that I'm not aware of?

@Aklapper : ah, sorry, i didn't notice that difference (merged vs deployed). we can close this task but shouldn't be the prod issues like this deployed immediately?.

Aklapper closed this task as Resolved.Sep 25 2015, 9:37 AM

shouldn't be the prod issues like this deployed immediately?

See https://wikitech.wikimedia.org/wiki/SWAT_deploys

Recognized today in hewiki.

IKhitron reopened this task as Open.Sep 30 2015, 4:29 PM
IKhitron closed this task as Resolved.
IKhitron added a subscriber: Amire80.

I'll wait till Thursday eve.